Package org.apache.tomcat.util.net

# Enum SocketWrapperBase.BlockingMode

java.lang.Object
java.lang.Enum<SocketWrapperBase.BlockingMode>
org.apache.tomcat.util.net.SocketWrapperBase.BlockingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketWrapperBase.BlockingMode>`, `java.lang.constant.Constable`

Enclosing class:
  SocketWrapperBase<E>

public static enum SocketWrapperBase.BlockingMode extends Enum<SocketWrapperBase.BlockingMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK`
  The operation will block until completed.
  `CLASSIC`
  The operation will not block.
  `NON_BLOCK`
  The operation will not block.
  `SEMI_BLOCK`
  The operation will block until pending operations are completed, but will not block after performing it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SocketWrapperBase.BlockingMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SocketWrapperBase.BlockingMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLASSIC

    public static final SocketWrapperBase.BlockingMode CLASSIC
    The operation will not block. If there are pending operations, the operation will throw a pending exception.

  - ### NON_BLOCK

    public static final SocketWrapperBase.BlockingMode NON_BLOCK
    The operation will not block. If there are pending operations, the operation will return CompletionState.NOT_DONE.

  - ### SEMI_BLOCK

    public static final SocketWrapperBase.BlockingMode SEMI_BLOCK
    The operation will block until pending operations are completed, but will not block after performing it.

  - ### BLOCK

    public static final SocketWrapperBase.BlockingMode BLOCK
    The operation will block until completed.

- ## Method Details

  - ### values

    public static SocketWrapperBase.BlockingMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SocketWrapperBase.BlockingMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null